%define prog      arpwatch


Summary:          A monitoring tool for IP/MAC addresses
Name:             %{prog}-NG
Version:          1.7
Release:          3%{?dist}%{?pext}
License:          GPL
Group:            System Environment/Daemons
Source0:          http://freequaos.host.sk/%{prog}/%{name}%{version}.tar.bz2
Source1:          ethercodes-20081204.dat
Source2:          %{prog}.init
Source3:          %{prog}.sysconfig
Patch0:           %{name}-1.7-paths.patch
URL:              http://freequaos.host.sk/%{prog}/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Freek <freequaos@gmail.com>
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service
BuildRequires:    libpcap-devel


%description
Arpwatch-NG contains utilities to monitor Ethernet network traffic and build
databases of Ethernet/IP address pairs and can report certain changes. It is
based upon the original arpwatch package.


%prep
%setup -q -n %{name}%{version}
%patch0 -p1

# Update ethercodes.dat
%{__cp} -f %{SOURCE1} ethercodes.dat


%build
%configure
%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{prog}/contrib
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{prog}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m  0755 %{SOURCE2}   ${RPM_BUILD_ROOT}%{_initrddir}/%{prog}
%{__install} -m  0644 %{SOURCE3}   ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{prog}

%{__install} -m  0755 arpfetch     ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -m  0644 arpfetch.8   ${RPM_BUILD_ROOT}%{_mandir}/man8

pushd contrib
%{__install} -m  0755 arp2ethers   ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -m  0644 arp2ethers.8 ${RPM_BUILD_ROOT}%{_mandir}/man8
popd

%{__cp}      -pd contrib/* *.pl    ${RPM_BUILD_ROOT}%{_datadir}/%{prog}/contrib
%{__rm}      -f                    ${RPM_BUILD_ROOT}%{_datadir}/%{prog}/contrib/arp2ethers*


%pre
if ! getent group  %{prog} >/dev/null 2>&1; then
  /usr/sbin/groupadd -r %{prog}
fi
if ! getent passwd %{prog} >/dev/null 2>&1; then
  /usr/sbin/useradd  -r -g %{prog}       \
	-d %{_localstatedir}/lib/%{prog} \
	-c "Arpwatch Service user"       \
	-s /sbin/nologin %{prog}
fi
exit 0			# Always pass


%post
/sbin/chkconfig --add %{prog}


%preun
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{prog} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{prog}
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{prog} condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES FAQ INSTALL LICENSE README TODO VERSION
%{_initrddir}/%{prog}
%config(noreplace) %{_sysconfdir}/sysconfig/%{prog}
%{_bindir}/arp2ethers
%{_bindir}/arpfetch
%{_sbindir}/arpsnmp
%{_sbindir}/%{prog}
%dir %{_datadir}/%{prog}
%config(noreplace) %{_datadir}/%{prog}/*
%{_mandir}/man8/*.8*
%attr(750,%{prog},%{prog}) %dir %{_localstatedir}/lib/%{prog}
%attr(640,%{prog},%{prog}) %config(noreplace) %verify(not md5 size mtime) %{_localstatedir}/lib/%{prog}/arp.dat


%changelog
* Thu Dec 04 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.7-3
- Rewritten for buildsystem

* Mon Jun 04 2007 peter.pramberger@member.fsf.org 1.7-2
- created
